#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#include "lc6_ssl.h"


int libchat_init(libchat_user *user) {

	if ( user == NULL )
		return LIBCHAT_ERROR_INPUT_NULL;

	return 0;
}

libchat_user* libchat_create_user(libchat_user *user) {
	return ssl_create_keypair(user);
}

void libchat_free_user(libchat_user *user) {
	if ( !user )
		return;

	if ( user->pub_key )
		free(user->pub_key);

	if ( user->priv_key )
		free(user->priv_key);

	free(user);
}
